<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!-- 	@autor: david.cifuentes 	-->
<!-- 		Generar Reportes 		-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                template="../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .:: Generar Reportes::.
    </ui:define>

    <ui:define name="content">

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" />

        <h:form id="generarReportesForm" prependId="false">

            <p:panel header="Generar reportes">

                <p:messages id="msgReportes" showDetail="false" globalOnly="false" />

                <h:panelGrid columns="2" cellpadding="5">

                    <h:outputLabel value="Categoría del reporte:"
                                   styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="categoriaReporte"
                                     label="Categoría del reporte"
                                     value="#{generaReportes.categoriaReporte}">
                        <f:selectItems value="#{generaReportes.itemListCategoriasReporte}" />
                    </h:selectOneMenu>

                    <h:outputLabel value="Tipo de reporte:"
                                   styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="tipoReporte" label="Tipo de reporte"
                                     value="#{generaReportes.tipoReporte}">
                        <f:selectItems value="#{generaReportes.itemListTiposDeReporte}" />
                    </h:selectOneMenu>

                </h:panelGrid>

                <p:spacer width="30" />

                <p:fieldset legend="Criterios de consulta">

                    <h:panelGrid columns="3" cellpadding="10">

                        <p:selectBooleanCheckbox id="departamentoBool"
                                                 value="#{generaReportes.departamentoBool}" />

                        <h:outputLabel value="Departamento:" for="departamentoCB"
                                       styleClass="outputLabelStyle" />

                        <misc:geographicSelectOneMenu geoLabel="Departamento"
                                                      geoId="departamento" geoComboId="departamentoCB"
                                                      selectedGeoProperty="#{combosDeptosMunis.selectedDepartamentoCod}"
                                                      geoComboData="#{combosDeptosMunis.departamentosItemList}"
                                                      dependentChangeGeoUpdate="municipioComponentEntradaProyeccion:municipio"
                                                      orderByName="#{combosDeptosMunis.departamentosOrderedByNombre}"
                                                      onChangeGeoCombo="#{combosDeptosMunis.onChangeDepartamentos}"
                                                      changeGeoComboOrder="#{combosDeptosMunis.cambiarOrdenDepartamentos}" />

                        <p:selectBooleanCheckbox id="municipioBool"
                                                 value="#{generaReportes.municipioBool}" />

                        <h:outputLabel value="Municipio:" for="departamentoCB"
                                       styleClass="outputLabelStyle" />

                        <misc:geographicSelectOneMenu geoLabel="Municipio"
                                                      id="municipioComponentEntradaProyeccion" geoId="municipio"
                                                      geoComboId="municipioCB"
                                                      selectedGeoProperty="#{combosDeptosMunis.selectedMunicipioCod}"
                                                      geoComboData="#{combosDeptosMunis.municipiosItemList}"
                                                      dependentChangeGeoUpdate="municipioComponentEntradaProyeccion:municipio"
                                                      orderByName="#{combosDeptosMunis.municipiosOrderedByNombre}"
                                                      onChangeGeoCombo="#{generaReportes.onMunicipioChange}"
                                                      changeGeoComboOrder="#{combosDeptosMunis.cambiarOrdenMunicipios}" />


                        <p:selectBooleanCheckbox id="numeroPredialBool"
                                                 value="#{generaReportes.numeroPredialBool}" />

                        <h:outputLabel value="Número predial"
                                       styleClass="outputLabelStyle" />


                        <h:panelGrid columns="1">
                            <h:panelGrid columns="2">

                                <h:outputLabel value="Número predial inicial:"
                                               styleClass="outputLabelStyle" />

                                <h:panelGroup>
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioInicial.numeroPredialS1}"
                                        size="1" maxlength="2" onblur="complete(this, 2)"
                                        onkeyup="saltar(this, 2, 2, 3);" />

                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioInicial.numeroPredialS2}"
                                        size="3" maxlength="3" onblur="complete(this, 3)"
                                        onkeyup="saltar(this, 3, 3, 2);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioInicial.numeroPredialS3}"
                                        size="2" maxlength="2" onblur="complete(this, 2)"
                                        onkeyup="saltar(this, 2, 4, 2);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioInicial.numeroPredialS4}"
                                        size="2" maxlength="2" onblur="complete(this, 2)"
                                        onkeyup="saltar(this, 2, 5, 2);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioInicial.numeroPredialS5}"
                                        size="2" maxlength="2" onblur="complete(this, 2)"
                                        onkeyup="saltar(this, 2, 6, 2);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioInicial.numeroPredialS6}"
                                        size="2" maxlength="2" onblur="complete(this, 2)"
                                        onkeyup="saltar(this, 2, 7, 4);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioInicial.numeroPredialS7}"
                                        size="4" maxlength="4" onblur="complete(this, 4)"
                                        onkeyup="saltar(this, 4, 8, 4);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioInicial.numeroPredialS8}"
                                        size="4" maxlength="4" onblur="complete(this, 4)"
                                        onkeyup="saltar(this, 4, 9, 1);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioInicial.numeroPredialS9}"
                                        size="1" maxlength="1" onblur="complete(this, 1)"
                                        onkeyup="saltar(this, 1, 10, 2);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioInicial.numeroPredialS10}"
                                        size="2" maxlength="2" onblur="complete(this, 2)"
                                        onkeyup="saltar(this, 2, 11, 2);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioInicial.numeroPredialS11}"
                                        size="2" maxlength="2" onblur="complete(this, 2)"
                                        onkeyup="saltar(this, 2, 12, 4);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioInicial.numeroPredialS12}"
                                        size="4" maxlength="4" onblur="complete(this, 4)" />
                                </h:panelGroup>
                            </h:panelGrid>

                            <h:panelGrid columns="2">

                                <h:outputLabel value="Número predial inicial:"
                                               styleClass="outputLabelStyle" />

                                <h:panelGroup>
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioFinal.numeroPredialS1}"
                                        size="1" maxlength="2" onblur="complete(this, 2)"
                                        onkeyup="saltar(this, 2, 2, 3);" />

                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioFinal.numeroPredialS2}"
                                        size="3" maxlength="3" onblur="complete(this, 3)"
                                        onkeyup="saltar(this, 3, 3, 2);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioFinal.numeroPredialS3}"
                                        size="2" maxlength="2" onblur="complete(this, 2)"
                                        onkeyup="saltar(this, 2, 4, 2);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioFinal.numeroPredialS4}"
                                        size="2" maxlength="2" onblur="complete(this, 2)"
                                        onkeyup="saltar(this, 2, 5, 2);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioFinal.numeroPredialS5}"
                                        size="2" maxlength="2" onblur="complete(this, 2)"
                                        onkeyup="saltar(this, 2, 6, 2);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioFinal.numeroPredialS6}"
                                        size="2" maxlength="2" onblur="complete(this, 2)"
                                        onkeyup="saltar(this, 2, 7, 4);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioFinal.numeroPredialS7}"
                                        size="4" maxlength="4" onblur="complete(this, 4)"
                                        onkeyup="saltar(this, 4, 8, 4);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioFinal.numeroPredialS8}"
                                        size="4" maxlength="4" onblur="complete(this, 4)"
                                        onkeyup="saltar(this, 4, 9, 1);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioFinal.numeroPredialS9}"
                                        size="1" maxlength="1" onblur="complete(this, 1)"
                                        onkeyup="saltar(this, 1, 10, 2);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioFinal.numeroPredialS10}"
                                        size="2" maxlength="2" onblur="complete(this, 2)"
                                        onkeyup="saltar(this, 2, 11, 2);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioFinal.numeroPredialS11}"
                                        size="2" maxlength="2" onblur="complete(this, 2)"
                                        onkeyup="saltar(this, 2, 12, 4);" />
                                    <p:spacer height="0" width="1" />
                                    <h:inputText
                                        value="#{generaReportes.datosConsultaPredioFinal.numeroPredialS12}"
                                        size="4" maxlength="4" onblur="complete(this, 4)" />
                                </h:panelGroup>
                            </h:panelGrid>

                        </h:panelGrid>
                    </h:panelGrid>

                    <p:outputPanel layout="block" style="text-align:center">
                        <p:commandButton id="btnGenerar" value="Generar"
                                         icon="ui-icon-document" title="Generar reporte"
                                         label="Generar reporte" update="generarReportesForm"
                                         process="@this" action="#{generaReportes.generarReporte}" />
                    </p:outputPanel>
                    <p:spacer width="0" height="10" />

                </p:fieldset>

                <p:spacer width="30"/>
                <p:fieldset legend="Resultado del reporte"
                            rendered="#{generaReportes.resultadoReporteBool}">
                    <h:panelGrid columns="2" width="100%" cellpadding="5" id="resultadoReportePanel">
                        <embed src="#{generaReportes.urlArchivo}" 
                               width="700" height="400" />

                        <h:panelGrid cellpadding="5" >
                            <p:commandButton value="Gráficas" id="graficasBtn"
                                             style="width:100px;height:30x;" icon="ui-icon-bookmark"
                                             disabled="true"
                                             action="#{generaReportes.graficasReporte}"
                                             update="resultadoReportePanel">
                            </p:commandButton>

                            <p:commandButton value="Imprimir" id="imprimirBtn" ajax="false"
                                             style="width:100px;height:30x;" icon="ui-icon ui-icon-print"
                                             immediate="true">
                                <p:fileDownload	value="#{generaReportes.reporte}" />
                            </p:commandButton>

                            <p:commandButton value="Exportar" id="exportarBtn"
                                             style="width:100px;height:30x;" icon="ui-icon-transferthick-e-w"
                                             disabled="true"
                                             action="#{generaReportes.exportarReporte}"
                                             update="resultadoReportePanel">
                            </p:commandButton>
                        </h:panelGrid>
                    </h:panelGrid>
                </p:fieldset>

                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar" icon="ui-icon-close"
                                     action="index" ajax="false" immediate="true" />
                    <p:spacer width="10" height="30" />
                </p:outputPanel>
            </p:panel>
        </h:form>

    </ui:define>

</ui:composition>